Package org.apache.sysds.common

# Enum Class Types.OpOp1

java.lang.Object
java.lang.Enum<Types.OpOp1>
org.apache.sysds.common.Types.OpOp1

All Implemented Interfaces:
  `Serializable`, `Comparable<Types.OpOp1>`, `Constable`

Enclosing interface:
  Types

public static enum Types.OpOp1 extends Enum<Types.OpOp1>
Operations that require 1 operand

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`_EVICT`
`ABS`
`ACOS`
`ASIN`
`ASSERT`
`ATAN`
`BROADCAST`
`CAST_AS_BOOLEAN`
`CAST_AS_DOUBLE`
`CAST_AS_FRAME`
`CAST_AS_INT`
`CAST_AS_LIST`
`CAST_AS_MATRIX`
`CAST_AS_SCALAR`
`CEIL`
`CHOLESKY`
`COLNAMES`
`COMPRESS`
`COS`
`COSH`
`CUMMAX`
`CUMMIN`
`CUMPROD`
`CUMSUM`
`CUMSUMPROD`
`DECOMPRESS`
`DET`
`DETECTSCHEMA`
`EIGEN`
`EXISTS`
`EXP`
`FLOOR`
`INVERSE`
`IQM`
`ISINF`
`ISNA`
`ISNAN`
`LENGTH`
`LINEAGE`
`LOCAL`
`LOG`
`LOG_NZ`
`MEDIAN`
`MINUS_RIGHT`
`MINUS1_MULT`
`MULT2`
`NCOL`
`NOT`
`NROW`
`POW2`
`PREFETCH`
`PRINT`
`ROUND`
`ROWCUMSUM`
`SIGMOID`
`SIGN`
`SIN`
`SINH`
`SOFTMAX`
`SPROP`
`SQRT`
`SQRT_MATRIX_JAVA`
`STOP`
`SUBTRACT_NZ`
`SVD`
`TAN`
`TANH`
`TRIGREMOTE`
`TYPEOF`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isScalarOutput()`
`String`
`toString()`
`static Types.OpOp1`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Types.OpOp1`
`valueOfByOpcode(String opcode)`
`static Types.OpOp1[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ABS

public static final Types.OpOp1 ABS

### ACOS

public static final Types.OpOp1 ACOS

### ASIN

public static final Types.OpOp1 ASIN

### ASSERT

public static final Types.OpOp1 ASSERT

### ATAN

public static final Types.OpOp1 ATAN

### BROADCAST

public static final Types.OpOp1 BROADCAST

### CAST_AS_FRAME

public static final Types.OpOp1 CAST_AS_FRAME

### CAST_AS_LIST

public static final Types.OpOp1 CAST_AS_LIST

### CAST_AS_MATRIX

public static final Types.OpOp1 CAST_AS_MATRIX

### CAST_AS_SCALAR

public static final Types.OpOp1 CAST_AS_SCALAR

### CAST_AS_BOOLEAN

public static final Types.OpOp1 CAST_AS_BOOLEAN

### CAST_AS_DOUBLE

public static final Types.OpOp1 CAST_AS_DOUBLE

### CAST_AS_INT

public static final Types.OpOp1 CAST_AS_INT

### CEIL

public static final Types.OpOp1 CEIL

### CHOLESKY

public static final Types.OpOp1 CHOLESKY

### COS

public static final Types.OpOp1 COS

### COSH

public static final Types.OpOp1 COSH

### CUMMAX

public static final Types.OpOp1 CUMMAX

### CUMMIN

public static final Types.OpOp1 CUMMIN

### CUMPROD

public static final Types.OpOp1 CUMPROD

### CUMSUM

public static final Types.OpOp1 CUMSUM

### CUMSUMPROD

public static final Types.OpOp1 CUMSUMPROD

### DET

public static final Types.OpOp1 DET

### DETECTSCHEMA

public static final Types.OpOp1 DETECTSCHEMA

### COLNAMES

public static final Types.OpOp1 COLNAMES

### EIGEN

public static final Types.OpOp1 EIGEN

### EXISTS

public static final Types.OpOp1 EXISTS

### EXP

public static final Types.OpOp1 EXP

### FLOOR

public static final Types.OpOp1 FLOOR

### INVERSE

public static final Types.OpOp1 INVERSE

### IQM

public static final Types.OpOp1 IQM

### ISNA

public static final Types.OpOp1 ISNA

### ISNAN

public static final Types.OpOp1 ISNAN

### ISINF

public static final Types.OpOp1 ISINF

### LENGTH

public static final Types.OpOp1 LENGTH

### LINEAGE

public static final Types.OpOp1 LINEAGE

### LOG

public static final Types.OpOp1 LOG

### NCOL

public static final Types.OpOp1 NCOL

### NOT

public static final Types.OpOp1 NOT

### NROW

public static final Types.OpOp1 NROW

### MEDIAN

public static final Types.OpOp1 MEDIAN

### PREFETCH

public static final Types.OpOp1 PREFETCH

### PRINT

public static final Types.OpOp1 PRINT

### ROUND

public static final Types.OpOp1 ROUND

### ROWCUMSUM

public static final Types.OpOp1 ROWCUMSUM

### SIN

public static final Types.OpOp1 SIN

### SINH

public static final Types.OpOp1 SINH

### SIGN

public static final Types.OpOp1 SIGN

### SOFTMAX

public static final Types.OpOp1 SOFTMAX

### SQRT

public static final Types.OpOp1 SQRT

### STOP

public static final Types.OpOp1 STOP

### _EVICT

public static final Types.OpOp1 _EVICT

### SVD

public static final Types.OpOp1 SVD

### TAN

public static final Types.OpOp1 TAN

### TANH

public static final Types.OpOp1 TANH

### TYPEOF

public static final Types.OpOp1 TYPEOF

### TRIGREMOTE

public static final Types.OpOp1 TRIGREMOTE

### SQRT_MATRIX_JAVA

public static final Types.OpOp1 SQRT_MATRIX_JAVA

### SPROP

public static final Types.OpOp1 SPROP

### SIGMOID

public static final Types.OpOp1 SIGMOID

### LOG_NZ

public static final Types.OpOp1 LOG_NZ

### COMPRESS

public static final Types.OpOp1 COMPRESS

### DECOMPRESS

public static final Types.OpOp1 DECOMPRESS

### LOCAL

public static final Types.OpOp1 LOCAL

### MULT2

public static final Types.OpOp1 MULT2

### MINUS1_MULT

public static final Types.OpOp1 MINUS1_MULT

### MINUS_RIGHT

public static final Types.OpOp1 MINUS_RIGHT

### POW2

public static final Types.OpOp1 POW2

### SUBTRACT_NZ

public static final Types.OpOp1 SUBTRACT_NZ

## Method Details

### values

public static Types.OpOp1[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Types.OpOp1 valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isScalarOutput

public boolean isScalarOutput()

### toString

public String toString()

Overrides:
  `toString` in class `Enum<Types.OpOp1>`

### valueOfByOpcode

public static Types.OpOp1 valueOfByOpcode(String opcode)